
Installer - Feature #30360

Tracker # 30306 (New): Drop support for Pulp 2

Stop deploying Pulp 2 on Katello deployments

07/09/2020 08:37 PM - Eric Helms

Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category: Foreman modules   

Target version: 2.4.0   

Difficulty:  Fixed in Releases: 2.4.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-kat

ello/pull/380,

https://github.com/theforeman/puppet-for

eman_proxy_content/pull/321,

https://github.com/theforeman/puppet-kat

ello/pull/381

  

Description

Related issues:

Has duplicate Installer - Feature #30308: Remove Pulp 2 and Qpid from puppet-... Duplicate

Associated revisions

Revision aa27779c - 02/05/2021 01:00 PM - Eric Helms

Fixes #30360: Remove Pulp 2 deployment code

Revision 7b1f2491 - 02/05/2021 01:00 PM - Eric Helms

Refs #30360: Disable Pulp 2 foreman_proxy plugin

Revision 32b5005b - 02/05/2021 04:41 PM - Ewoud Kohl van Wijngaarden

Refs #30360: Remove unused dependencies

aa27779c4bf46442d5a5543c54e593798ce580af removed Pulp deployments. This

also drops the dependencies on the (now) unused modules.

History

#1 - 07/09/2020 11:11 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Eric Helms

- Pull request https://github.com/theforeman/puppet-katello/pull/356 added

#2 - 07/09/2020 11:53 PM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-katello/pull/357 added

#3 - 07/23/2020 11:51 AM - Ewoud Kohl van Wijngaarden

- Has duplicate Feature #30308: Remove Pulp 2 and Qpid from puppet-katello added

#4 - 07/23/2020 12:12 PM - Ewoud Kohl van Wijngaarden

- Category set to Foreman modules

- Parent task changed from #28961 to #30306

- Triaged changed from No to Yes
#5 - 02/01/2021 01:30 PM - Eric Helms

- Pull request deleted (https://github.com/theforeman/puppet-katello/pull/357, https://github.com/theforeman/puppet-katello/pull/356)

#6 - 02/01/2021 01:43 PM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-katello/pull/380 added

#7 - 02/01/2021 01:44 PM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-foreman_proxy_content/pull/321 added

#8 - 02/05/2021 01:00 PM - The Foreman Bot

- Fixed in Releases 2.5.0 added

#9 - 02/05/2021 02:01 PM - Eric Helms

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-katello|aa27779c4bf46442d5a5543c54e593798ce580af.

#10 - 02/05/2021 02:03 PM - Ewoud Kohl van Wijngaarden

- Subject changed from Remove Pulp 2 from Katello deployments to Stop deploying Pulp 2 on Katello deployments

#11 - 02/05/2021 03:49 PM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-katello/pull/381 added

#12 - 03/03/2021 02:16 PM - Ewoud Kohl van Wijngaarden

- Target version set to 2.4.0

#13 - 03/10/2021 05:24 PM - Ewoud Kohl van Wijngaarden

- Fixed in Releases 2.4.0 added

- Fixed in Releases deleted (2.5.0)
